Get All Subscriptions

This API endpoint retrieves all the current webhook subscription configuration for a partner application. It returns details about the subscribed event types, webhook URL, subscription status, and metadata. This is useful for verifying webhook configurations, auditing subscription settings, and troubleshooting event delivery issues.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Tokenalid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup

Sample Request

curl --location 'https://partner.gupshup.io/partner/app/{{APPId}}/subscription' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

{
	"status": "success",
	"subscriptions": [
		{
		"active": true,
		"appId": "57d9179b-7412-4621-bf86-57ee1962fd12",
		"createdOn": 1735818105594,
		"id": "29040",
		"mode": 16383,
		"modes": [
			"SENT",
			"DELIVERED",
			"READ",
			"DELETED",
			"OTHERS",
			"FAILED",
			"MESSAGE",
			"TEMPLATE",
			"ACCOUNT",
			"BILLING",
			"ENQUEUED",
			"FLOWS_MESSAGE",
			"PAYMENTS",
			"ALL"
		],
		"modifiedOn": 1735818105594,
		"showOnUI": false,
		"tag": "mm",
		"url":"https://webhook.site/e1d58c71-2c14-4e82-90ce-4fd4c0caaf96",
		"version": 3
		}
	]
}

Status Codes

Status CodeResponseComments
Success
200

{
"status": "success",
"subscriptions": [
{
"active": true,
"appId": "57d9179b-7412-4621-
bf86-57ee1962fd12",
"createdOn": 1735818105594,
"id": "29040",
"mode": 16383,
"modes": [
"SENT",
"DELIVERED",
"READ",
"DELETED",
"OTHERS",
"FAILED",
"MESSAGE",
"TEMPLATE",
"ACCOUNT",
"BILLING",
"ENQUEUED",
"FLOWS_MESSAGE",
"PAYMENTS",
"ALL"
],
"modifiedOn": 1735818105594,
"showOnUI": false,
"tag": "mm",
"url":
"

https://webhook.site/e1d58c71-2c14-4e82-

90ce-4fd4c0caaf96",
"version": 3
}
]
}

Error
429{
"status": "error",
"message": "Too Many Requests"
}
500{
"status": "error",
"message": "Internal server error. Please try again later and If issue still persist, then contact Gupshup Dev Support"
}
Path Params
string
required
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json